using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;

namespace PArena
{
    class Bullet_Rifle:Bullet
    {
        static public float initSpeed = 300;

        public Bullet_Rifle(Vector2 pos, Vector2 dir, Texture2D tex, float mul)
            : base(pos, dir, tex, initSpeed)
        {
            tailColor = new Color(0, 150, 255, 255);// Color.LightBlue;
            positions = new List<VecColor>();
            positions.Add(new VecColor(pos, tailColor));            
            ttl = 10;
            tailLength = 30;
            this.damage= 40*mul;
            soundfx = Cnt.game.soundBank.GetCue("rifle");
            
        }
    }
}
